<?php

class FinancingModel{
    /**
     * get interest rate
     * @return HashArray interest rate value
     */
    public function getInterestRate(){
        $interestRate = new InterestRate();
        return $interestRate->getInterestRate();
    }

    /**
     * get interest rate for customers
     * @return HashArray values for interest rate for each customer
     */
    public function getInterestRateForCustomers(){
        $interestRate = new InterestRate();
        return $interestRate->getInterestRateForCustomers();
    }
    
    /**
     * save interest rate
     * @param  Float $interestRateValue interest rate value
     * @return Array                    update message
     */
    public function saveInterestRate($interestRateValue){
        $interestRate = new InterestRate();
        return $interestRate->saveInterestRate($interestRateValue);
    }
}
